gdcm::DataSetEvent Class Reference

DataSetEvent. More...

`#include <gdcmDataSetEvent.h>`

Inheritance diagram for gdcm::DataSetEvent:
[legend]
Collaboration diagram for gdcm::DataSetEvent:
[legend]

## Public Types

typedef DataSetEvent | Self
typedef AnyEvent | Superclass

## Public Member Functions

| DataSetEvent (const Self &s)
| DataSetEvent (DataSet const *ds=nullptr)
| ~DataSetEvent () override=default
bool | CheckEvent (const ::gdcm::Event *e) const override
DataSet const & | GetDataSet () const
const char * | GetEventName () const override
::gdcm::Event * | MakeObject () const override
void | operator= (const Self &)=delete
Public Member Functions inherited from gdcm::Event
| Event ()
| Event (const Event &)
virtual | ~Event ()
virtual bool | CheckEvent (const Event *) const =0
void | operator= (const Event &)=delete
virtual void | Print (std::ostream &os) const

## Public Attributes

const DataSet * | m_DataSet

## Detailed Description

DataSetEvent.

Special type of event triggered during the DataSet store/move process

## Member Typedef Documentation

## Self

typedef DataSetEvent gdcm::DataSetEvent::Self

## Superclass

typedef AnyEvent gdcm::DataSetEvent::Superclass

## Constructor & Destructor Documentation

## DataSetEvent() [1/2]

gdcm::DataSetEvent::DataSetEvent | ( | DataSet const * | ds = nullptr | ) |

inline

References m_DataSet.

## ~DataSetEvent()

gdcm::DataSetEvent::~DataSetEvent | ( |  | ) |

override default

## DataSetEvent() [2/2]

gdcm::DataSetEvent::DataSetEvent | ( | const Self & | s | ) |

inline

## Member Function Documentation

## CheckEvent()

bool gdcm::DataSetEvent::CheckEvent | ( | const ::gdcm::Event * | e | ) | const

inline override

## GetDataSet()

DataSet const & gdcm::DataSetEvent::GetDataSet | ( |  | ) | const

inline

References m_DataSet.

## GetEventName()

const char * gdcm::DataSetEvent::GetEventName | ( |  | ) | const

inline override virtual

Return the StringName associated with the event.

Implements gdcm::Event.

## MakeObject()

::gdcm::Event * gdcm::DataSetEvent::MakeObject | ( |  | ) | const

inline override virtual

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

## operator=()

void gdcm::DataSetEvent::operator= | ( | const Self & |  | ) |

delete

## Member Data Documentation

## m_DataSet

const DataSet* gdcm::DataSetEvent::m_DataSet

Referenced by DataSetEvent(), and GetDataSet().

The documentation for this class was generated from the following file:

- gdcmDataSetEvent.h